Bug 964961 - Fails to git push for zend-5.6 app which has jenkins client removed after migration
Fails to git push for zend-5.6 app which has jenkins client removed after mig...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Vojtech Vitek
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 04:12 EDT by joycezhang
Modified: 2015-05-14 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:06:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2013-05-20 04:12:01 EDT
Description of problem:
If trying to git push local changes for zend-5.6 apps after migration, it would be failed with error shown as below:

remote: Cartridge manifest not found: /var/lib/openshift/51999049db86250715000002/oradiag_51999049db8625/metadata/manifest.yml missing
To ssh://51999049db86250715000002@zendjk2-dmtest1.dev.rhcloud.com/~/git/zendjk2.git/


Version-Release number of selected component (if applicable):
Upgrading devenv-stage_353 to devenv_3247 and migrate

How reproducible:
always

Steps to Reproduce:
1. Launch devenv-stage_353
2. Create a zend-5.6 app
3. Add V1 marker to node
touch /var/lib/openshift/.settings/v1_cartridge_format
4. scp -r ~/devenv-local and /etc/yum.repos.d/* from devenv_3247 instance to
same location on devenv-stage_353 instance
5. yum update -y --enablerepo devenv-local
6. Run oo-admin-clear-pending-ops
7. Remove the v1 marker from the node
rm -f /var/lib/openshift/.settings/v1_cartridge_format
8. Restart mcollective
#service mcollective restart
9. Clear the broker cache
#oo-admin-broker-cache --clear --console
10. Restart the rhc-broker
#server rhc-broker restart
12. Run migrate-mongo-2.0.28 
13. Run rhc-admin-migrate --version 2.0.28
14. Make some changes in local repo and git push

Actual results:
It's failed as below:
[master 32aeeeb] test
 1 file changed, 1 insertion(+), 1 deletion(-)
Counting objects: 7, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (4/4), done.
Writing objects: 100% (4/4), 367 bytes, done.
Total 4 (delta 2), reused 0 (delta 0)
remote: CLIENT_MESSAGE: Stopping Zend Server Console
remote: Stopping Zend Server GUI [Lighttpd] [OK]
remote: CLIENT_MESSAGE: Stopping Zend Server JobQueue daemon
remote: Stopping JobQueue [OK]
remote: CLIENT_MESSAGE: Stopping Apache
remote: CLIENT_MESSAGE: Stopping Zend Server Monitor node
remote: Stopping Zend Server Monitor node [OK]
remote: CLIENT_MESSAGE: Stopping Zend Server Deployment daemon
remote: Stopping Deployment [OK]
remote: CLIENT_RESULT: Zend Server 5.6 stopped successfully
remote: Cartridge manifest not found: /var/lib/openshift/51999049db86250715000002/oradiag_51999049db8625/metadata/manifest.yml missing
To ssh://51999049db86250715000002@zendjk2-dmtest1.dev.rhcloud.com/~/git/zendjk2.git/
   1020bc0..32aeeeb  master -> master


Expected results:
It should be successful.

Additional info:
Comment 1 joycezhang 2013-05-21 01:33:42 EDT
This bug is only reproduced after removing jenkins client from zend-5.6 apps, it can work well for a single zend app migrated from devenv-stage_353. Please refer to updated steps as below:

1. Launch devenv-stage_353
2. Create a zend-5.6 app(a zend-5.6 app with jenkins client added)
3. Add V1 marker to node
touch /var/lib/openshift/.settings/v1_cartridge_format
4. scp -r ~/devenv-local and /etc/yum.repos.d/* from devenv_3247 instance to
same location on devenv-stage_353 instance
5. yum update -y --enablerepo devenv-local
6. Run oo-admin-clear-pending-ops
7. Remove the v1 marker from the node
rm -f /var/lib/openshift/.settings/v1_cartridge_format
8. Restart mcollective
#service mcollective restart
9. Clear the broker cache
#oo-admin-broker-cache --clear --console
10. Restart the rhc-broker
#server rhc-broker restart
12. Run migrate-mongo-2.0.28 
13. Run rhc-admin-migrate --version 2.0.28
14. Add jenkins client to the zend app and then remove jenkins client from the app (remove jenkins client directly if the jenkins client added before the migration )
15. Make some changes to the repo and git push


Actual results:
Met error as below:
[master 3f5532d] test
 1 file changed, 1 insertion(+), 1 deletion(-)
Counting objects: 7, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (4/4), done.
Writing objects: 100% (4/4), 377 bytes, done.
Total 4 (delta 2), reused 0 (delta 0)
remote: CLIENT_MESSAGE: Stopping Zend Server Console
remote: Stopping Zend Server GUI [Lighttpd] [OK]
remote: CLIENT_MESSAGE: Stopping Zend Server JobQueue daemon
remote: Stopping JobQueue [OK]
remote: CLIENT_MESSAGE: Stopping Apache
remote: CLIENT_MESSAGE: Stopping Zend Server Monitor node
remote: Stopping Zend Server Monitor node [OK]
remote: CLIENT_MESSAGE: Stopping Zend Server Deployment daemon
remote: Stopping Deployment [OK]
remote: CLIENT_RESULT: Zend Server 5.6 stopped successfully
remote: Cartridge manifest not found: /var/lib/openshift/519600b56cec0e81b00000ff/oradiag_519600b56cec0e/metadata/manifest.yml missing
To ssh://519600b56cec0e81b00000ff@idlezend-dmintst1.int.rhcloud.com/~/git/idlezend.git/
   d1691d7..3f5532d  master -> master
Comment 2 Vojtech Vitek 2013-05-23 12:32:50 EDT
https://github.com/openshift/li/pull/1451
Comment 3 Vojtech Vitek 2013-05-23 12:56:58 EDT
https://github.com/openshift/li/pull/1452
Comment 4 openshift-github-bot 2013-05-23 17:39:27 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/9951537934a3618194cf5b510a2b3681825b197d
disable Zend PHP PDO-OCI extension

Add ORACLE_BASE, ORACLE_HOME env vars.
Fixes bug 964961. https://bugzilla.redhat.com/show_bug.cgi?id=964961
Comment 5 joycezhang 2013-05-24 02:46:03 EDT
Fixed on devenv_3267 as below:


]# gitpush
[master e7ab7f5] test
 1 file changed, 1 insertion(+), 1 deletion(-)
Counting objects: 11, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (8/8), done.
Writing objects: 100% (8/8), 720 bytes, done.
Total 8 (delta 4), reused 0 (delta 0)
remote: CLIENT_MESSAGE: Stopping Zend Server Console
remote: Stopping Zend Server GUI [Lighttpd] [OK]
remote: CLIENT_MESSAGE: Stopping Zend Server JobQueue daemon
remote: Stopping JobQueue [OK]
remote: CLIENT_MESSAGE: Stopping Apache
remote: CLIENT_MESSAGE: Stopping Zend Server Monitor node
remote: Stopping Zend Server Monitor node [OK]
remote: CLIENT_MESSAGE: Stopping Zend Server Deployment daemon
remote: Stopping Deployment [OK]
remote: CLIENT_RESULT: Zend Server 5.6 stopped successfully
remote: TODO
remote: CLIENT_MESSAGE: Starting Zend Server Deployment daemon
remote: Starting Deployment [OK]
remote: [24.05.2013 02:43:08 SYSTEM] watchdog for zdd is running. 
remote: [24.05.2013 02:43:08 SYSTEM] zdd is running. 
remote: CLIENT_MESSAGE: Starting Zend Server Monitor node
remote: Starting Zend Server Monitor node [OK]
remote: [24.05.2013 02:43:10 SYSTEM] watchdog for monitor is running. 
remote: [24.05.2013 02:43:10 SYSTEM] monitor is running. 
remote: CLIENT_MESSAGE: Starting Apache
remote: CLIENT_MESSAGE: Starting Zend Server JobQueue daemon
remote: Starting JobQueue [OK]
remote: [24.05.2013 02:43:12 SYSTEM] watchdog for jqd is running. 
remote: [24.05.2013 02:43:12 SYSTEM] jqd is running. 
remote: CLIENT_MESSAGE: Starting Zend Server Console
remote: spawn-fcgi: child spawned successfully: PID: 30218
remote: Starting Zend Server GUI [Lighttpd] [OK]
remote: [24.05.2013 02:43:15 SYSTEM] watchdog for lighttpd is running. 
remote: [24.05.2013 02:43:15 SYSTEM] lighttpd is running. 
remote: CLIENT_RESULT: Zend Server 5.6 started successfully
To ssh://519ed0028daa7b0b5a000003@zend2-dmtest11.dev.rhcloud.com/~/git/zend2.git/
   1020bc0..e7ab7f5  master -> master

Note You need to log in before you can comment on or make changes to this bug.